<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/ScopeVisitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::ScopeVisitor</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class ScopeVisitor

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Scopes.hh.html" target="detail">../Synopsis/SymbolLookup/Scopes.hh</a></div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ScopeVisitor-inheritance" src="ScopeVisitor-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ScopeVisitor-inheritance_map" />
<map name="ScopeVisitor-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" href="ScopeDisplay.html" shape="rect" coords="5, 81, 253, 105" />
</map>
 <div class="doc"><p>A Visitor for Scopes.
The default implementation does nothing, so
users only need to implement the ones they need.</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tScopeVisitor_l_r">~ScopeVisitor</a>()  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_m_tScopeVisitor_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTemplateParameterScope_S_r">visit</a>(<a href="TemplateParameterScope.html" >TemplateParameterScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lTemplateParameterScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLocalScope_S_r">visit</a>(<a href="LocalScope.html" >LocalScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lLocalScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPrototypeScope_S_r">visit</a>(<a href="PrototypeScope.html" >PrototypeScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lPrototypeScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line37" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFunctionScope_S_r">visit</a>(<a href="FunctionScope.html" >FunctionScope</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lFunctionScope_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClass_S_r">visit</a>(<a href="Class.html" >Class</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lClass_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNamespace_S_r">visit</a>(<a href="Namespace.html" >Namespace</a>*)  </div> <div class="xref"><a href="../../../XRef/xref25.html#Synopsis_mSymbolLookup_mScopeVisitor_mvisit_lNamespace_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
